body {
  margin: 0;
  overflow: hidden;
  background-color: rgb(240,240,240);
  font-family: "FiraSans";
}

/* Tables {{{1*/
table {
  border-collapse: collapse;
  font-weight: 300;
}

table td {
  white-space: nowrap;
  text-align: left;
  padding: 4px 8px;
}

table th {
  white-space: nowrap;
  text-align: left;
  border-left: 16px solid white;
  border-right: 16px solid white;
  border-bottom: 2px solid;
  padding: 8px 0;
  font-size: 14px;
  color: rgb(160, 160, 160);
}

/* Flex rows {{{1*/
*.row {
  display: flex;
  flex-direction: row;
  align-items: center;
}

*.row > * {
  flex-shrink: 0;
  flex-basis: auto;

  margin: 0;
  padding: 0;
}

*.row > *.stretch {
  /*
  flex-basis: fill;
  */

  flex-grow: 1;
  flex-shrink: 1;
}

*.row.center::before,
*.row.center::after {
  content: ' ';
  flex-grow: 1;
  flex-shrink: 1;
}

/* Button {{{1*/
i {
  font-style: normal;
}

/*
@font-face {
  font-family: "fxos-icons";
/*
  src: url("../node_modules/fxos-icons/fonts/fxos-icons.ttf") format("truetype");
* /
  src: url("fxos-icons.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

i.button.char::before,
span.buttons.char > i::before {
  font-family: "fxos-icons";
  content: attr(data-icon);
  display: inline-block;
  font-weight: 500;
  text-decoration: inherit;
  text-transform: none;
  text-rendering: optimizeLegibility;
  font-size: 26px;
  -webkit-font-smoothing: antialiased;
}

i.button.char.anticlockwise::before,
span.buttons.char > i.anticlockwise::before {
  transform: rotate(-90deg);
}

i.button.char,
span.buttons.char > i {
  width: 40px;
  flex-basis: 40px;
}

i.button.char,
span.buttons.char {
  color: rgb(128, 128, 128);
  text-align: center;
}
*/

i.button.text,
span.buttons.text > i {
  /*
  width: auto;
  padding: 12px 16px;
  */
  color: white;
  background-color: rgb(160, 160, 160);
}

i.button.text[active],
span.buttons.text > i[active] {
  color: rgb(64, 64, 64);
  background-color: rgb(192, 192, 192);
  cursor: pointer;
  /*
  font-weight: 900;
  position: relative;
  */
}

/* Underline button text when active
i.button.text[active]::before {
  display: block;
  position: absolute;
  width: 48px;
  height: 2px;
  left: 20px;
  top: 34px;

  content: "";
  background-color: rgb(80, 80, 80);
}
*/

i.button.text,
span.buttons.text {
  text-align: center;
  font-size: 16px;
/*
  font-weight: 900;
  font-variant: small-caps;
*/
}

*.row > i.button,
*.row.buttons > i,
*.row > span.buttons > i {
  display: inline-block;
}

span.buttons > i {
  border-right: 1px solid rgb(240, 240, 240);
}

span.buttons > i:first-child {
  border-left: 1px solid rgb(240, 240, 240);
}

span.buttons > i[value="1"],
span.buttons > i[value="ok"],
span.buttons > i[value="true"] {
  color: rgb(58, 170, 53);
}

/* Masked input {{{1 */

p.masked {
	font-size: 14px;
	font-family: 'monospace';
	width: 200px;
  height: 16px;
	padding: 6px;
  border: 2px solid rgb(160, 160, 160);
}

p.masked > input {
  font-size: 14px;
  font-family: 'monospace';
  position: relative;
  top: -22px;
  width: 100%;
  border: 0;
  padding: 6px;
  left: -6px;
  /*
  opacity: 0.8;
  */
}


/* List {{{1*/
li {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

li > *,
section.list > * {
  display: inline-block;
  box-sizing: border-box;
  width: 100%;
  height: auto;
  /*
  padding: 4px 16px;
  margin: 0;
  */
}

li > h1,
section.list > h1 {
  margin: 0 0 16px 0;
  padding: 16px 0 12px 32px;

  color: rgb(96, 96, 96);
  background-color: rgb(208, 208, 208);
  font-size: 22px;
  font-weight: 900;
}

li > h2,
section.list > h2 {
  margin: 0 0 12px 0;
  padding: 12px 0 8px 24px;

  color: rgb(128, 128, 128);
  background-color: rgb(208, 208, 208);
  font-size: 19px;
  font-weight: 900;
}

li > i.button.text,
section.list > i.button.text {
  padding: 12px 16px;
  text-align: left;
}

li > h3 {
  margin: 0;
  padding: 8px 8px 2px 16px;

  color: rgb(160, 160, 160);
  font-size: 16px;
  font-weight: 900;
}

li > p,
section.list > p {
  margin: 0;
  padding: 4px 16px;
  font-weight: 300;
}

li > select,
li > input {
  width: auto;
  margin: 0 0 6px 16px;
}

li.divider0,
section.divider0 {
  margin-bottom: 12px;
}

li.divider2,
section.divider2 {
  position: relative;
  padding-bottom: 16px;
}

li.divider2::after,
section.divider2::after {
  display: block;
  position: absolute;
  z-index: -1;
  width: 256px;
  height: 4px;
  left: 24px;
  bottom: 6px;

  content: "";
  background-color: rgb(224, 224, 224);
}

li.divider3,
section.divider3 {
  position: relative;
  padding-bottom: 8px;
}

li.divider3::after,
section.divider3::after {
  display: block;
  position: absolute;
  z-index: -1;
  width: 160px;
  height: 3px;
  left: 24px;
  bottom: 3px;

  content: "";
  background-color: rgb(224, 224, 224);
}

/* Active element {{{1*/

*[active]:not(input):not(select) {
  /*
*[active]:not(input):not(select):not(textarea):not(i.button) {
  background-color: rgba(240, 240, 240, 1);
  */
  background-color: rgba(216, 216, 216, 1);
  cursor: pointer;
}

/* Header {{{1 */
body > header.row {
  color: rgb(64, 64, 64);
  position: fixed;
  left: 32px;
  top: 16px;
  width: calc(100% - 64px);
  height: 48px;
  line-height: 48px;
}

body > header.row > img {
  height: 48px;
  margin-right: 24px;
}

body > header.row > h1 {
  font-size: 24px;
  font-weight: 900;
  font-style: italic;
  color: rgb(128, 128, 128);
  margin-right: 24px;
}

body > header.row > input {
  font-size: 16px;
  background-color: rgb(255, 255, 255);
  margin-right: 24px;
  width: 300px;
}

body > header.row > span {
  margin-right: 24px;
}

body > header.row > i.button.text {
  padding-left: 32px;
  padding-right: 32px;
}

/* Main menu {{{1 */
section.menu {
  position: fixed;
  width: 320px;
  max-height: calc(100% - 112px);
  left: 32px;
  top: 80px;
  overflow-x: hidden;
  overflow-y: auto;
}

section.menu > i.button.text:not(:last-child) {
  margin-bottom: 2px;
}

/* Main content {{{1 */
body > *.content,
body > *.content1,
*.content2 {
  background-color: white;
  display: block;
  position: fixed;
  max-height: calc(100% - 112px);
  left: 384px;
  top: 80px;
  overflow-x: hidden;
  overflow-y: auto;
}

body > *.content {
  width: calc(100% - 416px);
}

body > *.content1 {
  width: calc(100% - 832px);
}

*.content1 > *.content2 {
  width: 384px;
  left: calc(100% - 416px);
  background-color: rgba(0,0,0,0);
}

*.content2 > li,
*.content2 > section {
  background-color: white;
}

/* States (error, done, ...) {{{1 */
span.list-reading {
  padding: 16px;
  color: yellow;
  font-size: 10px;
}

span.list-error {
  padding: 16px;
  color: red;
  font-size: 10px;
}

span.list-done {
  padding: 16px;
  font-size: 10px;
}

p.li-error-item {
  color: red;
}

/* Log {{{1*/

section.log-target > h2 {
  margin: 0;
}

li.log {
  color: rgb(192, 192, 192);
  padding: 8px 16px;
  font-style: italic;
}

li.log.error > p {
  color: red;
}

/* Sign in {{{1*/
body.signin {
  padding: 0;
  margin: auto;
  border: 0;
  width: 400px;
  text-align: center;
}

body.signin > form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 64px;
  height: auto;
  box-shadow: 0px 0px 35px 16px rgba(0,0,0,0.75);
  background-color: white;
}

body.signin > form > div {
  margin: 24px 0 4px 0;
  font-size: 20px;
}

body.signin > form > input {
  width: calc(100% - 48px);
}

body.signin > form > i.button.text {
  padding: 12px 16px;
  margin: 32px;
  width: calc(100% - 96px);
}

body.signin > form > div#signin-error {
  margin: 32px;
  color: red;
}

